Loading...
Searching...
No Matches
ID3D12CommandQueueVtbl Struct Reference

`#include <mini_d3d12.h>`

## Public Member Functions

| BEGIN_INTERFACE (ID3D12CommandQueue *This, REFIID riid, _COM_Outptr_ void **ppvObject)
ID3D12CommandQueue _In_ REFGUID _In_ UINT | _In_reads_bytes_opt_ (DataSize) const void *pData)
| void (STDMETHODCALLTYPE *UpdateTileMappings)(ID3D12CommandQueue *This
_In_ ID3D12Resource UINT | _In_reads_opt_ (NumResourceRegions) const D3D12_TILED_RESOURCE_COORDINATE *pResourceRegionStartCoordinates
_In_ ID3D12Resource UINT | _In_reads_opt_ (NumResourceRegions) const D3D12_TILE_REGION_SIZE *pResourceRegionSizes
_In_ ID3D12Resource UINT _In_opt_ ID3D12Heap UINT | _In_reads_opt_ (NumRanges) const D3D12_TILE_RANGE_FLAGS *pRangeFlags
_In_ ID3D12Resource UINT _In_opt_ ID3D12Heap UINT | _In_reads_opt_ (NumRanges) const UINT *pHeapRangeStartOffsets
_In_ ID3D12Resource UINT _In_opt_ ID3D12Heap UINT | _In_reads_opt_ (NumRanges) const UINT *pRangeTileCounts
| void (STDMETHODCALLTYPE *CopyTileMappings)(ID3D12CommandQueue *This
| void (STDMETHODCALLTYPE *ExecuteCommandLists)(ID3D12CommandQueue *This
_In_ UINT | _In_reads_ (NumCommandLists) ID3D12CommandList *const *ppCommandLists)
| void (STDMETHODCALLTYPE *SetMarker)(ID3D12CommandQueue *This
UINT | _In_reads_bytes_opt_ (Size) const void *pData
| void (STDMETHODCALLTYPE *BeginEvent)(ID3D12CommandQueue *This
UINT | _In_reads_bytes_opt_ (Size) const void *pData
| void (STDMETHODCALLTYPE *EndEvent)(ID3D12CommandQueue *This)

## Public Attributes

ID3D12CommandQueue * | This
ID3D12CommandQueue _In_ REFGUID | guid
ID3D12CommandQueue _In_ REFGUID _Inout_ UINT * | pDataSize
ID3D12CommandQueue _In_ REFGUID _Inout_ UINT _Out_writes_bytes_opt_ pDataSize void * | pData
ID3D12CommandQueue _In_ REFGUID _In_ UINT | DataSize
ID3D12CommandQueue _In_ REFGUID _In_opt_ const IUnknown * | pData
ID3D12CommandQueue _In_z_ LPCWSTR | Name
ID3D12CommandQueue REFIID | riid
ID3D12CommandQueue REFIID _COM_Outptr_opt_ void ** | ppvDevice
_In_ ID3D12Resource * | pResource
_In_ ID3D12Resource UINT | NumResourceRegions
_In_ ID3D12Resource UINT _In_opt_ ID3D12Heap * | pHeap
_In_ ID3D12Resource UINT _In_opt_ ID3D12Heap UINT | NumRanges
_In_ ID3D12Resource UINT _In_opt_ ID3D12Heap UINT D3D12_TILE_MAPPING_FLAGS | Flags
_In_ ID3D12Resource * | pDstResource
_In_ ID3D12Resource _In_ const D3D12_TILED_RESOURCE_COORDINATE * | pDstRegionStartCoordinate
_In_ ID3D12Resource _In_ const D3D12_TILED_RESOURCE_COORDINATE _In_ ID3D12Resource * | pSrcResource
_In_ ID3D12Resource _In_ const D3D12_TILED_RESOURCE_COORDINATE _In_ ID3D12Resource _In_ const D3D12_TILED_RESOURCE_COORDINATE * | pSrcRegionStartCoordinate
_In_ ID3D12Resource _In_ const D3D12_TILED_RESOURCE_COORDINATE _In_ ID3D12Resource _In_ const D3D12_TILED_RESOURCE_COORDINATE _In_ const D3D12_TILE_REGION_SIZE * | pRegionSize
_In_ ID3D12Resource _In_ const D3D12_TILED_RESOURCE_COORDINATE _In_ ID3D12Resource _In_ const D3D12_TILED_RESOURCE_COORDINATE _In_ const D3D12_TILE_REGION_SIZE D3D12_TILE_MAPPING_FLAGS | Flags
_In_ UINT | NumCommandLists
UINT | Metadata
UINT UINT | Size
ID3D12CommandQueue ID3D12Fence * | pFence
ID3D12CommandQueue ID3D12Fence UINT64 | Value
ID3D12CommandQueue _Out_ UINT64 * | pFrequency
ID3D12CommandQueue _Out_ UINT64 * | pGpuTimestamp
ID3D12CommandQueue _Out_ UINT64 _Out_ UINT64 * | pCpuTimestamp

## Detailed Description

Definition at line 4406 of file mini_d3d12.h.

## Member Function Documentation

## BEGIN_INTERFACE()

ID3D12CommandQueueVtbl::BEGIN_INTERFACE | ( | ID3D12CommandQueue * | This,
|  | REFIID | riid,
|  | _COM_Outptr_ void ** | ppvObject )

References _COM_Outptr_, BEGIN_INTERFACE(), REFIID, riid, STDMETHODCALLTYPE, and This.

Referenced by BEGIN_INTERFACE().

## _In_reads_bytes_opt_() [1/3]

ID3D12CommandQueue _In_ REFGUID _In_ UINT ID3D12CommandQueueVtbl::_In_reads_bytes_opt_ | ( | DataSize |  | ) | const

References _In_, DataSize, guid, pData, REFGUID, STDMETHODCALLTYPE, and This.

## void() [1/6]

ID3D12CommandQueueVtbl::void | ( | STDMETHODCALLTYPE * | UpdateTileMappings | ) |

References STDMETHODCALLTYPE, and This.

## _In_reads_opt_() [1/5]

_In_ ID3D12Resource UINT ID3D12CommandQueueVtbl::_In_reads_opt_ | ( | NumResourceRegions |  | ) | const

References NumResourceRegions.

## _In_reads_opt_() [2/5]

_In_ ID3D12Resource UINT ID3D12CommandQueueVtbl::_In_reads_opt_ | ( | NumResourceRegions |  | ) | const

References NumResourceRegions.

## _In_reads_opt_() [3/5]

_In_ ID3D12Resource UINT _In_opt_ ID3D12Heap UINT ID3D12CommandQueueVtbl::_In_reads_opt_ | ( | NumRanges |  | ) | const

References NumRanges.

## _In_reads_opt_() [4/5]

_In_ ID3D12Resource UINT _In_opt_ ID3D12Heap UINT ID3D12CommandQueueVtbl::_In_reads_opt_ | ( | NumRanges |  | ) | const

References NumRanges.

## _In_reads_opt_() [5/5]

_In_ ID3D12Resource UINT _In_opt_ ID3D12Heap UINT ID3D12CommandQueueVtbl::_In_reads_opt_ | ( | NumRanges |  | ) | const

References NumRanges.

## void() [2/6]

ID3D12CommandQueueVtbl::void | ( | STDMETHODCALLTYPE * | CopyTileMappings | ) |

References STDMETHODCALLTYPE, and This.

## void() [3/6]

ID3D12CommandQueueVtbl::void | ( | STDMETHODCALLTYPE * | ExecuteCommandLists | ) |

References STDMETHODCALLTYPE, and This.

## _In_reads_()

_In_ UINT ID3D12CommandQueueVtbl::_In_reads_ | ( | NumCommandLists |  | ) | const

References NumCommandLists.

## void() [4/6]

ID3D12CommandQueueVtbl::void | ( | STDMETHODCALLTYPE * | SetMarker | ) |

References STDMETHODCALLTYPE, and This.

## _In_reads_bytes_opt_() [2/3]

UINT ID3D12CommandQueueVtbl::_In_reads_bytes_opt_ | ( | Size |  | ) | const

References pData, and Size.

## void() [5/6]

ID3D12CommandQueueVtbl::void | ( | STDMETHODCALLTYPE * | BeginEvent | ) |

References Metadata, STDMETHODCALLTYPE, and This.

## _In_reads_bytes_opt_() [3/3]

UINT ID3D12CommandQueueVtbl::_In_reads_bytes_opt_ | ( | Size |  | ) | const

References pData, and Size.

## void() [6/6]

ID3D12CommandQueueVtbl::void | ( | STDMETHODCALLTYPE * | EndEvent | ) |

References STDMETHODCALLTYPE, and This.

## Member Data Documentation

## This

ID3D12CommandQueue * ID3D12CommandQueueVtbl::This

Definition at line 4417 of file mini_d3d12.h.

Referenced by _In_reads_bytes_opt_(), BEGIN_INTERFACE(), void(), void(), void(), void(), void(), and void().

## guid

ID3D12CommandQueue _In_ REFGUID ID3D12CommandQueueVtbl::guid

Definition at line 4426 of file mini_d3d12.h.

Referenced by _In_reads_bytes_opt_().

## pDataSize

ID3D12CommandQueue _In_ REFGUID _Inout_ UINT* ID3D12CommandQueueVtbl::pDataSize

Definition at line 4427 of file mini_d3d12.h.

## pData [1/2]

ID3D12CommandQueue _In_ REFGUID _Inout_ UINT _Out_writes_bytes_opt_ pDataSize void* ID3D12CommandQueueVtbl::pData

Definition at line 4428 of file mini_d3d12.h.

Referenced by _In_reads_bytes_opt_(), and _In_reads_bytes_opt_().

## DataSize

ID3D12CommandQueue _In_ REFGUID _In_ UINT ID3D12CommandQueueVtbl::DataSize

Definition at line 4434 of file mini_d3d12.h.

Referenced by _In_reads_bytes_opt_().

## pData [2/2]

ID3D12CommandQueue _In_ REFGUID _In_opt_ const IUnknown* ID3D12CommandQueueVtbl::pData

Definition at line 4441 of file mini_d3d12.h.

## Name

ID3D12CommandQueue _In_z_ LPCWSTR ID3D12CommandQueueVtbl::Name

Definition at line 4446 of file mini_d3d12.h.

## riid

ID3D12CommandQueue REFIID ID3D12CommandQueueVtbl::riid

Definition at line 4451 of file mini_d3d12.h.

Referenced by BEGIN_INTERFACE().

## ppvDevice

ID3D12CommandQueue REFIID _COM_Outptr_opt_ void** ID3D12CommandQueueVtbl::ppvDevice

Definition at line 4452 of file mini_d3d12.h.

## pResource

_In_ ID3D12Resource* ID3D12CommandQueueVtbl::pResource

Definition at line 4456 of file mini_d3d12.h.

## NumResourceRegions

_In_ ID3D12Resource UINT ID3D12CommandQueueVtbl::NumResourceRegions

Definition at line 4457 of file mini_d3d12.h.

Referenced by _In_reads_opt_(), and _In_reads_opt_().

## pHeap

_In_ ID3D12Resource UINT _In_opt_ ID3D12Heap* ID3D12CommandQueueVtbl::pHeap

Definition at line 4460 of file mini_d3d12.h.

## NumRanges

_In_ ID3D12Resource UINT _In_opt_ ID3D12Heap UINT ID3D12CommandQueueVtbl::NumRanges

Definition at line 4461 of file mini_d3d12.h.

Referenced by _In_reads_opt_(), _In_reads_opt_(), and _In_reads_opt_().

## Flags [1/2]

_In_ ID3D12Resource UINT _In_opt_ ID3D12Heap UINT D3D12_TILE_MAPPING_FLAGS ID3D12CommandQueueVtbl::Flags

Definition at line 4465 of file mini_d3d12.h.

## pDstResource

_In_ ID3D12Resource* ID3D12CommandQueueVtbl::pDstResource

Definition at line 4469 of file mini_d3d12.h.

## pDstRegionStartCoordinate

_In_ ID3D12Resource _In_ const D3D12_TILED_RESOURCE_COORDINATE* ID3D12CommandQueueVtbl::pDstRegionStartCoordinate

Definition at line 4470 of file mini_d3d12.h.

## pSrcResource

_In_ ID3D12Resource _In_ const D3D12_TILED_RESOURCE_COORDINATE _In_ ID3D12Resource* ID3D12CommandQueueVtbl::pSrcResource

Definition at line 4471 of file mini_d3d12.h.

## pSrcRegionStartCoordinate

_In_ ID3D12Resource _In_ const D3D12_TILED_RESOURCE_COORDINATE _In_ ID3D12Resource _In_ const D3D12_TILED_RESOURCE_COORDINATE* ID3D12CommandQueueVtbl::pSrcRegionStartCoordinate

Definition at line 4472 of file mini_d3d12.h.

## pRegionSize

_In_ ID3D12Resource _In_ const D3D12_TILED_RESOURCE_COORDINATE _In_ ID3D12Resource _In_ const D3D12_TILED_RESOURCE_COORDINATE _In_ const D3D12_TILE_REGION_SIZE* ID3D12CommandQueueVtbl::pRegionSize

Definition at line 4473 of file mini_d3d12.h.

## Flags [2/2]

_In_ ID3D12Resource _In_ const D3D12_TILED_RESOURCE_COORDINATE _In_ ID3D12Resource _In_ const D3D12_TILED_RESOURCE_COORDINATE _In_ const D3D12_TILE_REGION_SIZE D3D12_TILE_MAPPING_FLAGS ID3D12CommandQueueVtbl::Flags

Definition at line 4474 of file mini_d3d12.h.

## NumCommandLists

_In_ UINT ID3D12CommandQueueVtbl::NumCommandLists

Definition at line 4478 of file mini_d3d12.h.

Referenced by _In_reads_().

## Metadata

UINT ID3D12CommandQueueVtbl::Metadata

Definition at line 4483 of file mini_d3d12.h.

Referenced by void().

## Size

UINT UINT ID3D12CommandQueueVtbl::Size

Definition at line 4485 of file mini_d3d12.h.

Referenced by _In_reads_bytes_opt_().

## pFence

ID3D12CommandQueue ID3D12Fence * ID3D12CommandQueueVtbl::pFence

Definition at line 4499 of file mini_d3d12.h.

## Value

ID3D12CommandQueue ID3D12Fence UINT64 ID3D12CommandQueueVtbl::Value

Definition at line 4500 of file mini_d3d12.h.

## pFrequency

ID3D12CommandQueue _Out_ UINT64* ID3D12CommandQueueVtbl::pFrequency

Definition at line 4511 of file mini_d3d12.h.

## pGpuTimestamp

ID3D12CommandQueue _Out_ UINT64* ID3D12CommandQueueVtbl::pGpuTimestamp

Definition at line 4516 of file mini_d3d12.h.

## pCpuTimestamp

ID3D12CommandQueue _Out_ UINT64 _Out_ UINT64* ID3D12CommandQueueVtbl::pCpuTimestamp

Definition at line 4517 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h